play.exceptions

## Class NoRouteFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.exceptions.PlayException
        - - play.exceptions.NoRouteFoundException

All Implemented Interfaces:
  java.io.Serializable, SourceAttachment

    public class NoRouteFoundException
    extends PlayException
    implements SourceAttachment

No route found (during reverse routing)

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoRouteFoundException(java.lang.String file)`
`NoRouteFoundException(java.lang.String file, ApplicationClasses.ApplicationClass applicationClass, java.lang.Integer line)`
`NoRouteFoundException(java.lang.String action, java.util.Map<java.lang.String,java.lang.Object> args)`
`NoRouteFoundException(java.lang.String action, java.util.Map<java.lang.String,java.lang.Object> args, ApplicationClasses.ApplicationClass applicationClass, java.lang.Integer line)`
`NoRouteFoundException(java.lang.String action, java.util.Map<java.lang.String,java.lang.Object> args, Template template, java.lang.Integer line)`
`NoRouteFoundException(java.lang.String file, Template template, java.lang.Integer line)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAction()`
`java.util.Map<java.lang.String,java.lang.Object>` `getArgs()`
`java.lang.String` `getErrorDescription()`
`java.lang.String` `getErrorTitle()`
`java.lang.String` `getFile()`
`java.lang.Integer` `getLineNumber()`
`java.util.List<java.lang.String>` `getSource()`
`java.lang.String` `getSourceFile()`
`boolean` `isSourceAvailable()`

### Methods inherited from class play.exceptions.PlayException

`getId, getInterestingStackTraceElement, getInterestingStrackTraceElement, getMoreHTML`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoRouteFoundException

    public NoRouteFoundException(java.lang.String file)

#### NoRouteFoundException

    public NoRouteFoundException(java.lang.String file,
                                 ApplicationClasses.ApplicationClass applicationClass,
                                 java.lang.Integer line)

#### NoRouteFoundException

    public NoRouteFoundException(java.lang.String file,
                                 Template template,
                                 java.lang.Integer line)

#### NoRouteFoundException

    public NoRouteFoundException(java.lang.String action,
                                 java.util.Map<java.lang.String,java.lang.Object> args)

#### NoRouteFoundException

    public NoRouteFoundException(java.lang.String action,
                                 java.util.Map<java.lang.String,java.lang.Object> args,
                                 ApplicationClasses.ApplicationClass applicationClass,
                                 java.lang.Integer line)

#### NoRouteFoundException

    public NoRouteFoundException(java.lang.String action,
                                 java.util.Map<java.lang.String,java.lang.Object> args,
                                 Template template,
                                 java.lang.Integer line)

### Method Detail

#### getAction

    public java.lang.String getAction()

#### getArgs

    public java.util.Map<java.lang.String,java.lang.Object> getArgs()

#### getErrorTitle

    public java.lang.String getErrorTitle()

Specified by:
  `getErrorTitle` in class `PlayException`

#### getErrorDescription

    public java.lang.String getErrorDescription()

Specified by:
  `getErrorDescription` in class `PlayException`

#### isSourceAvailable

    public boolean isSourceAvailable()

Overrides:
  `isSourceAvailable` in class `PlayException`

#### getSourceFile

    public java.lang.String getSourceFile()

Specified by:
  `getSourceFile` in interface `SourceAttachment`
Overrides:
  `getSourceFile` in class `PlayException`

#### getFile

    public java.lang.String getFile()

#### getSource

    public java.util.List<java.lang.String> getSource()

Specified by:
  `getSource` in interface `SourceAttachment`

#### getLineNumber

    public java.lang.Integer getLineNumber()

Specified by:
  `getLineNumber` in interface `SourceAttachment`
Overrides:
  `getLineNumber` in class `PlayException`